=== doc/CMakeLists.txt ===
SET(TULIP_BUILD_DOC ON CACHE BOOL "Do you want to build the documentation ? [ON|OFF]")

#Only
IF(TULIP_BUILD_DOC AND NOT TULIP_ACTIVATE_PYTHON_WHEEL_TARGET)
  STRING(TIMESTAMP CurrentYear "%Y")

  FIND_PACKAGE(Sphinx)
  IF(SPHINX_FOUND)
    ADD_SUBDIRECTORY(python)
    ADD_SUBDIRECTORY(user)
    ADD_SUBDIRECTORY(developer)
  ELSE(SPHINX_FOUND)
    MESSAGE(AUTHOR_WARNING "Sphinx not found: unable to generate the documentation.")
  ENDIF(SPHINX_FOUND)

  IF(LINUX AND NOT TULIP_BUILD_FOR_APPIMAGE)
    FIND_PACKAGE(Doxygen)
    IF(DOXYGEN_FOUND)
      ADD_SUBDIRECTORY(doxygen)
    ELSE(DOXYGEN_FOUND)
      MESSAGE(AUTHOR_WARNING "doxygen not found: unable to generate the Tulip API documentation.")
    ENDIF(DOXYGEN_FOUND)
  ENDIF(LINUX AND NOT TULIP_BUILD_FOR_APPIMAGE)
ENDIF(TULIP_BUILD_DOC AND NOT TULIP_ACTIVATE_PYTHON_WHEEL_TARGET)
