=== library/CMakeLists.txt ===
ADD_CORE_FILES(CMakeLists.txt)

ADD_SUBDIRECTORY(tulip-core)
ADD_SUBDIRECTORY(tulip-python)
IF(NOT TULIP_BUILD_CORE_ONLY)
  ADD_SUBDIRECTORY(tulip-ogl)
  ADD_SUBDIRECTORY(tulip-gui)
ENDIF(NOT TULIP_BUILD_CORE_ONLY)
