=== debian/changelog ===
tulip (6.0.1+dfsg-2ubuntu1) resolute; urgency=medium

  * Bump allowed Python versions

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 05 Feb 2026 11:26:09 +0000

tulip (6.0.1+dfsg-2build1) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 23 Jan 2026 20:03:43 +0000
